/*
	copyright  1992-1996 Apple Computer Inc.  All rights reserved.
	
	DriverProtos.h
	
	This file implements old application message overrides for the specific driver.
	
	Included in this file is the old PrintRecord emulation.  Note that the ImageWriter
	PrintRecord is a wonder of misdirection and special cases.  You'll have fun
	figuring out the code - so unless you really want to exactly emulate the ImageWriter
	pages, you shouldn't spend too much time looking at this code.
	
	Modification history
	7/23/92			TED				New file today
	12/20/93		dmh				Sync'd with the shipping 1.0b3 GX driver.
	 8/26/94		dmh				Sync'd with the shipping 1.0.1 GX driver.
	28/03/96		JHH				
*/

#ifndef __DRVRPROTOSHEADER__
#define __DRVRPROTOSHEADER__

/****	Macintosh Toolbox Headers	****/

#ifndef __GXPRINTERDRIVERS__
#include <GXPrinterDrivers.h>
#endif


/****	OldApp.c prototypes		****/

OSErr	SD_ConvertPrintRecordTo(THPrint hoPrint);
OSErr	SD_ConvertPrintRecordFrom(gxUniversalPrintRecordHdl huPrint);
OSErr	UpdatePrintRecord(THPrint hPrint);
OSErr	SD_ConvertPrintRecordTo(THPrint hoPrint);
OSErr	SD_ConvertPrintRecordFrom(gxUniversalPrintRecordHdl huPrint);
OSErr	SD_PrintRecordToJob(THPrint hPrint, gxJob theJob);
OSErr	SD_PrValidate(	THPrint hPrint, Boolean *wasChanged);
OSErr	SD_PrJobInit(THPrint hPrint, TPPrDlg * pDlg);

#endif //__DRVRPROTOSHEADER__